function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = JEEM2015.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(33, 59);
g1(1,27)=(-y(43))/(y(27)*y(27));
g1(1,43)=1/y(27);
g1(2,13)=(-(T(36)/(1-params(32))));
g1(2,18)=(-(T(36)*T(62)/(1-params(32))));
g1(2,40)=1;
g1(2,54)=(-params(1));
g1(2,41)=(-(T(36)*T(81)/(1-params(32))));
g1(2,10)=(-(T(36)*T(87)/(1-params(32))));
g1(3,36)=(-(params(21)*getPowerDeriv(y(36),params(22),1)/params(22)));
g1(3,39)=1;
g1(4,5)=(-T(10));
g1(4,36)=(-(y(5)*T(77)));
g1(4,38)=1;
g1(5,23)=(-1);
g1(5,36)=params(21)*getPowerDeriv(y(36),params(22)-1,1)+params(23)*y(37)*T(78);
g1(5,37)=params(23)*T(11);
g1(6,13)=(-(T(12)*T(38)));
g1(6,44)=(-(T(12)*T(41)));
g1(6,18)=(-(T(12)*T(63)));
g1(6,46)=(-(T(12)*T(69)));
g1(6,22)=(-1)/(y(22)*y(22));
g1(6,50)=(-(T(32)*T(72)));
g1(6,41)=(-(T(12)*T(85)));
g1(6,10)=(-(T(12)*T(88)));
g1(6,43)=(-(T(12)*T(92)));
g1(7,13)=(-(T(9)*T(37)))-y(25)*T(37);
g1(7,18)=(-(T(9)*T(37)*T(62)+T(6)*T(64)))-y(25)*T(37)*T(62);
g1(7,25)=(-T(6));
g1(7,41)=(-(T(9)*T(84)))-y(25)*T(84);
g1(7,10)=(-(T(9)*T(37)*T(87)))-y(25)*T(37)*T(87);
g1(8,13)=T(13)*T(38);
g1(8,44)=T(13)*T(41);
g1(8,17)=T(32)*T(61);
g1(8,18)=T(13)*T(63);
g1(8,46)=T(13)*T(69);
g1(8,47)=T(32);
g1(8,32)=(-1);
g1(8,52)=(1-y(39))*T(32);
g1(8,37)=T(32)*T(79);
g1(8,53)=T(32)*T(80);
g1(8,39)=T(32)*(-y(52));
g1(8,41)=T(13)*T(85);
g1(8,10)=T(13)*T(88);
g1(8,43)=T(13)*T(92);
g1(9,13)=(-(T(14)*T(3)*y(52)*T(38)));
g1(9,44)=(-(T(14)*T(3)*y(52)*T(41)));
g1(9,4)=(-(y(32)*T(47)));
g1(9,16)=(-(y(32)*(T(50)-T(51)/y(4))+T(33)*T(54)+T(14)*y(52)*T(32)*T(55)));
g1(9,45)=(-(T(33)*T(57)+T(14)*T(58)));
g1(9,18)=(-(T(14)*T(3)*y(52)*T(63)));
g1(9,46)=(-(T(14)*T(3)*y(52)*T(69)));
g1(9,32)=(-T(27));
g1(9,52)=(-(T(14)*T(3)*T(32)));
g1(9,41)=(-(T(14)*T(3)*y(52)*T(85)));
g1(9,10)=(-(T(14)*T(3)*y(52)*T(88)));
g1(9,43)=(-(T(14)*T(3)*y(52)*T(92)));
g1(10,4)=(-(y(16)*T(46)));
g1(10,16)=(-(T(26)+y(16)*T(50)));
g1(10,5)=(-(1-y(39)));
g1(10,17)=1;
g1(10,39)=y(5);
g1(11,11)=1;
g1(11,13)=(-1);
g1(11,15)=(-1);
g1(11,16)=(-1);
g1(12,11)=(-1);
g1(12,14)=(-(y(27)*T(15)));
g1(12,4)=(-(T(2)+y(4)*T(45)));
g1(12,16)=(-(y(4)*T(49)));
g1(12,27)=1-T(15)*y(14);
g1(12,34)=(-(y(14)*y(27)*T(76)));
g1(12,37)=(-y(38));
g1(12,38)=(-y(37));
g1(13,12)=(-(T(18)*T(17)*T(16)*T(28)));
g1(13,14)=(-(T(17)*T(16)*y(12)*T(28)*T(42)));
g1(13,5)=(-(T(18)*T(17)*y(12)*T(28)*y(36)*T(59)));
g1(13,18)=(-(T(18)*T(16)*y(12)*T(28)*T(65)));
g1(13,27)=1;
g1(13,33)=(-(T(18)*T(17)*T(16)*y(12)*(-(params(19)+params(20)*2*y(33)))));
g1(13,36)=(-(T(18)*T(17)*y(12)*T(28)*y(5)*T(59)));
g1(14,12)=y(19)*T(19)*T(16)*(1-params(5))*T(28);
g1(14,5)=y(19)*T(19)*y(12)*(1-params(5))*T(28)*y(36)*T(59);
g1(14,18)=y(19)*T(16)*y(12)*(1-params(5))*T(28)*T(66);
g1(14,19)=T(19)*T(16)*y(12)*(1-params(5))*T(28);
g1(14,25)=(-1);
g1(14,33)=y(19)*T(19)*T(16)*y(12)*(1-params(5))*(-(params(19)+params(20)*2*y(33)));
g1(14,36)=y(19)*T(19)*y(12)*(1-params(5))*T(28)*y(5)*T(59);
g1(15,12)=y(19)*T(17)*T(20)*params(5)*T(28);
g1(15,5)=y(19)*T(17)*y(12)*params(5)*T(28)*y(36)*T(60);
g1(15,18)=y(19)*T(20)*y(12)*params(5)*T(28)*T(65);
g1(15,19)=T(17)*T(20)*y(12)*params(5)*T(28);
g1(15,23)=(-1);
g1(15,33)=y(19)*T(17)*T(20)*y(12)*params(5)*(-(params(19)+params(20)*2*y(33)));
g1(15,36)=y(19)*T(17)*y(12)*params(5)*T(28)*y(5)*T(60);
g1(16,34)=(-(params(8)*params(9)*getPowerDeriv(y(34),params(9)-1,1)));
g1(16,42)=params(6);
g1(17,21)=1;
g1(17,26)=T(70);
g1(17,29)=(-((-(params(17)/(params(17)-1)*(y(26)+y(31))))/(y(29)*y(29))));
g1(17,31)=T(70);
g1(18,13)=(-(y(27)*y(19)*T(39)));
g1(18,19)=(-(y(27)*T(21)));
g1(18,26)=1;
g1(18,48)=(-T(22));
g1(18,27)=(-(y(19)*T(21)));
g1(18,50)=(-(y(48)*T(73)));
g1(19,13)=(-(y(27)*T(39)));
g1(19,27)=(-T(21));
g1(19,29)=1;
g1(19,49)=(-T(23));
g1(19,50)=(-(y(49)*T(74)));
g1(20,13)=(-(y(27)*(T(15)+params(6)*y(42)*(1-y(34)))*T(39)));
g1(20,27)=(-(T(21)*(T(15)+params(6)*y(42)*(1-y(34)))));
g1(20,50)=(-(y(51)*T(73)));
g1(20,31)=1;
g1(20,51)=(-T(22));
g1(20,34)=(-(y(27)*T(21)*(T(76)+params(6)*(-y(42)))));
g1(20,42)=(-(y(27)*T(21)*params(6)*(1-y(34))));
g1(21,21)=(-((1-params(7))*getPowerDeriv(y(21),1-params(17),1)));
g1(21,30)=(-(params(7)*getPowerDeriv(y(30),params(17)-1,1)));
g1(22,2)=(-T(24));
g1(22,14)=1;
g1(22,21)=(-((1-params(7))*getPowerDeriv(y(21),(-params(17)),1)));
g1(22,30)=(-(y(2)*T(71)));
g1(23,19)=(-1);
g1(23,20)=1;
g1(23,34)=(-(T(76)+params(6)*(-y(42))));
g1(23,42)=(-(params(6)*(1-y(34))));
g1(24,14)=(-(y(27)*params(6)*(1-y(34))));
g1(24,27)=(-(y(14)*params(6)*(1-y(34))));
g1(24,34)=(-(y(14)*y(27)*(-params(6))));
g1(24,38)=(-params(36));
g1(24,43)=1;
g1(25,7)=(-(1-params(11)));
g1(25,33)=1;
g1(25,43)=(-1);
g1(26,14)=(-(y(27)*T(15)));
g1(26,27)=(-(T(15)*y(14)));
g1(26,34)=(-(y(14)*y(27)*T(76)));
g1(26,35)=1;
g1(27,15)=(-1);
g1(27,24)=1;
g1(27,42)=y(43);
g1(27,43)=y(42);
g1(28,11)=(-(y(28)*T(35)));
g1(28,22)=params(1);
g1(28,28)=(-T(30));
g1(28,50)=(-(y(28)*T(25)*T(75)));
g1(29,1)=(-(params(14)*1/y(1)));
g1(29,12)=1/y(12);
g1(29,55)=(-1);
g1(30,6)=(-(params(16)*1/y(6)));
g1(30,28)=1/y(28);
g1(30,57)=(-1);
g1(31,3)=(-(params(15)*1/y(3)));
g1(31,15)=1/y(15);
g1(31,56)=(-1);
g1(32,8)=(-(params(31)*1/y(8)));
g1(32,37)=1/y(37);
g1(32,58)=(-1);
g1(33,9)=(-(params(35)*1/y(9)));
g1(33,41)=1/y(41);
g1(33,59)=(-1);

end
