function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 133);

T = JEEM2015.dynamic_g1_tt(T, y, x, params, steady_state, it_);

T(93) = getPowerDeriv(T(5),1-params(32),2);
T(94) = (-(params(2)*getPowerDeriv(y(18),1+params(3),2)/(1+params(3))));
T(95) = (-(y(41)*getPowerDeriv(y(10),1+params(33),2)/(1+params(33))));
T(96) = getPowerDeriv(T(5),(-params(32)),2);
T(97) = (T(6)*T(6)*(-(T(31)*T(96)))-(-(T(31)*T(37)))*(T(6)*T(37)+T(6)*T(37)))/(T(6)*T(6)*T(6)*T(6));
T(98) = (-(T(37)*params(1)*T(40)))/(T(6)*T(6));
T(99) = (T(6)*T(6)*(-(T(31)*T(62)*T(96)))-(-(T(31)*T(37)))*(T(6)*T(37)*T(62)+T(6)*T(37)*T(62)))/(T(6)*T(6)*T(6)*T(6));
T(100) = (-(T(37)*T(68)))/(T(6)*T(6));
T(101) = (T(6)*T(6)*(-(T(37)*T(83)+T(31)*T(81)*T(96)))-(-(T(31)*T(37)))*(T(6)*T(84)+T(6)*T(84)))/(T(6)*T(6)*T(6)*T(6));
T(102) = (T(6)*T(6)*(-(T(31)*T(87)*T(96)))-(-(T(31)*T(37)))*(T(6)*T(37)*T(87)+T(6)*T(37)*T(87)))/(T(6)*T(6)*T(6)*T(6));
T(103) = (-(T(37)*T(91)))/(T(6)*T(6));
T(104) = getPowerDeriv(T(8),(-params(32)),2);
T(105) = (-(params(1)*T(40)*T(37)*T(62)))/(T(6)*T(6));
T(106) = T(82)*T(104);
T(107) = (T(6)*params(1)*T(106)-params(1)*T(40)*T(84))/(T(6)*T(6));
T(108) = (-(params(1)*T(40)*T(37)*T(87)))/(T(6)*T(6));
T(109) = (T(6)*T(6)*(-(T(31)*(T(62)*T(62)*T(96)+T(37)*T(94))))-(-(T(31)*T(37)*T(62)))*(T(6)*T(37)*T(62)+T(6)*T(37)*T(62)))/(T(6)*T(6)*T(6)*T(6));
T(110) = (-(T(37)*T(62)*T(68)))/(T(6)*T(6));
T(111) = (T(6)*T(6)*(-(T(37)*T(62)*T(83)+T(31)*T(62)*T(81)*T(96)))-(-(T(31)*T(37)*T(62)))*(T(6)*T(84)+T(6)*T(84)))/(T(6)*T(6)*T(6)*T(6));
T(112) = (T(6)*T(6)*(-(T(31)*T(62)*T(87)*T(96)))-(-(T(31)*T(37)*T(62)))*(T(6)*T(37)*T(87)+T(6)*T(37)*T(87)))/(T(6)*T(6)*T(6)*T(6));
T(113) = (-(T(37)*T(62)*T(91)))/(T(6)*T(6));
T(114) = params(1)*(T(67)*T(67)*T(104)+T(40)*(-(params(2)*getPowerDeriv(y(46),1+params(3),2)/(1+params(3)))))/T(6);
T(115) = (T(6)*params(1)*T(67)*T(106)-T(68)*T(84))/(T(6)*T(6));
T(116) = (-(T(68)*T(37)*T(87)))/(T(6)*T(6));
T(117) = params(1)*T(67)*T(90)*T(104)/T(6);
T(118) = (T(6)*T(6)*(T(83)*T(84)+T(6)*params(1)*T(82)*T(106)-(T(83)*T(84)+T(31)*T(81)*T(81)*T(96)))-(T(6)*T(83)-T(31)*T(84))*(T(6)*T(84)+T(6)*T(84)))/(T(6)*T(6)*T(6)*T(6));
T(119) = T(81)*T(87)*T(96)+T(37)*(-(T(86)/(1+params(33))));
T(120) = (T(6)*T(6)*(T(83)*T(37)*T(87)-T(31)*T(119))-(T(6)*T(83)-T(31)*T(84))*(T(6)*T(37)*T(87)+T(6)*T(37)*T(87)))/(T(6)*T(6)*T(6)*T(6));
T(121) = (T(6)*params(1)*(T(82)*T(90)*T(104)+T(40)*(-(T(89)/(1+params(33)))))-T(84)*T(91))/(T(6)*T(6));
T(122) = (T(6)*T(6)*(-(T(31)*(T(87)*T(87)*T(96)+T(37)*T(95))))-(-(T(31)*T(37)*T(87)))*(T(6)*T(37)*T(87)+T(6)*T(37)*T(87)))/(T(6)*T(6)*T(6)*T(6));
T(123) = (-(T(37)*T(87)*T(91)))/(T(6)*T(6));
T(124) = params(1)*(T(90)*T(90)*T(104)+T(40)*(-(y(41)*getPowerDeriv(y(43),1+params(33),2)/(1+params(33)))))/T(6);
T(125) = T(1)*(T(44)*(-((-y(16))*(y(4)+y(4))))/(y(4)*y(4)*y(4)*y(4))+T(43)*2*T(43));
T(126) = (-T(125));
T(127) = params(8)*getPowerDeriv(y(34),params(9),2);
T(128) = getPowerDeriv(y(36)*y(5),params(5),2);
T(129) = getPowerDeriv(y(18),1-params(5),2);
T(130) = getPowerDeriv(y(36)*y(5),params(5)-1,2);
T(131) = (-((-(params(17)/(params(17)-1)))/(y(29)*y(29))));
T(132) = (y(13)+y(13))/(y(13)*y(13)*y(13)*y(13));
T(133) = params(1)*params(7)*getPowerDeriv(y(50),params(17),2);

end
