function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 33);

T(1) = params(4)/2;
T(2) = T(1)*(y(16)/y(4)-1)^2;
T(3) = params(4)*(y(45)/y(16)-1);
T(4) = y(10)^(1+params(33));
T(5) = y(13)-params(2)*y(18)^(1+params(3))/(1+params(3))-y(41)*T(4)/(1+params(33));
T(6) = T(5)^(-params(32));
T(7) = y(43)^(1+params(33));
T(8) = y(44)-params(2)*y(46)^(1+params(3))/(1+params(3))-y(41)*T(7)/(1+params(33));
T(9) = (-params(2))*y(18)^params(3);
T(10) = params(23)*y(36)^params(24)/params(24);
T(11) = y(36)^(params(24)-1);
T(12) = 1/y(50);
T(13) = y(47)+(1-y(39))*y(52)-y(37)*y(53)/y(17);
T(14) = (y(45)/y(16))^2;
T(15) = params(8)*y(34)^params(9);
T(16) = (y(36)*y(5))^params(5);
T(17) = y(18)^(1-params(5));
T(18) = 1/y(14);
T(19) = y(18)^(-params(5));
T(20) = (y(36)*y(5))^(params(5)-1);
T(21) = 1/y(13);
T(22) = params(1)*params(7)*y(50)^params(17);
T(23) = params(1)*params(7)*y(50)^(params(17)-1);
T(24) = params(7)*y(30)^params(17);
T(25) = (y(11)/params(39))^params(13);
T(26) = 1-T(2);
T(27) = T(26)-y(16)*params(4)*(y(16)/y(4)-1)/y(4);
T(28) = 1-(params(18)+params(19)*y(33)+params(20)*y(33)^2);
T(29) = y(50)^params(12);
T(30) = T(25)*T(29);
T(31) = params(1)*T(8)^(-params(32));
T(32) = T(31)/T(6);
T(33) = T(3)*y(52)*T(32);

end
