function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = JEEM2015.static_resid_tt(T, y, x, params);
end
residual = zeros(33, 1);
lhs = y(33)/y(17);
rhs = params(40);
residual(1) = lhs - rhs;
lhs = y(30);
rhs = T(2)^(1-params(32))/(1-params(32))+params(1)*y(30);
residual(2) = lhs - rhs;
lhs = y(29);
rhs = params(21)*y(26)^params(22)/params(22);
residual(3) = lhs - rhs;
lhs = y(28);
rhs = T(5)*y(7);
residual(4) = lhs - rhs;
lhs = params(21)*y(26)^(params(22)-1)+params(23)*y(27)*T(6);
rhs = y(13);
residual(5) = lhs - rhs;
lhs = 1/y(12);
rhs = params(1)*1/y(20);
residual(6) = lhs - rhs;
lhs = (-(T(3)*T(4)));
rhs = T(3)*y(15);
residual(7) = lhs - rhs;
lhs = params(1)*(y(13)+(1-y(29))*y(22)-y(28)*y(27)/y(7));
rhs = y(22);
residual(8) = lhs - rhs;
lhs = 1;
rhs = y(22);
residual(9) = lhs - rhs;
lhs = y(7);
rhs = y(6)+y(7)*(1-y(29));
residual(10) = lhs - rhs;
lhs = y(1);
rhs = y(3)+y(6)+y(5);
residual(11) = lhs - rhs;
lhs = y(17);
rhs = y(28)*y(27)+y(1)+y(17)*T(7)*y(4);
residual(12) = lhs - rhs;
lhs = y(17);
rhs = T(8)*T(9)*T(10)*y(2)*T(11);
residual(13) = lhs - rhs;
lhs = y(9)*T(12)*T(10)*y(2)*(1-params(5))*T(11);
rhs = y(15);
residual(14) = lhs - rhs;
lhs = y(9)*T(9)*T(13)*y(2)*params(5)*T(11);
rhs = y(13);
residual(15) = lhs - rhs;
lhs = params(6)*y(32);
rhs = params(8)*params(9)*y(24)^(params(9)-1);
residual(16) = lhs - rhs;
lhs = y(11);
rhs = params(17)/(params(17)-1)*(y(16)+y(21))/y(19);
residual(17) = lhs - rhs;
lhs = y(16);
rhs = y(17)*y(9)*T(14)+y(16)*T(16);
residual(18) = lhs - rhs;
lhs = y(19);
rhs = y(17)*T(14)+y(19)*params(1)*params(7)*T(17);
residual(19) = lhs - rhs;
lhs = y(21);
rhs = y(17)*T(14)*(T(7)+params(6)*y(32)*(1-y(24)))+y(21)*T(16);
residual(20) = lhs - rhs;
lhs = 1;
rhs = params(7)*T(17)+(1-params(7))*y(11)^(1-params(17));
residual(21) = lhs - rhs;
lhs = y(4);
rhs = (1-params(7))*y(11)^(-params(17))+y(4)*params(7)*T(15);
residual(22) = lhs - rhs;
lhs = y(10);
rhs = params(6)*y(32)*(1-y(24))+T(7)+y(9);
residual(23) = lhs - rhs;
lhs = y(33);
rhs = y(4)*y(17)*params(6)*(1-y(24))+y(28)*params(36);
residual(24) = lhs - rhs;
lhs = y(23);
rhs = y(33)+y(23)*(1-params(11))+params(10);
residual(25) = lhs - rhs;
lhs = y(25);
rhs = y(17)*T(7)*y(4);
residual(26) = lhs - rhs;
lhs = y(14)+y(33)*y(32);
rhs = y(5);
residual(27) = lhs - rhs;
lhs = params(1)*y(12);
rhs = y(18)*T(20);
residual(28) = lhs - rhs;
lhs = log(y(2));
rhs = (1-params(14))*log(params(25))+log(y(2))*params(14)+x(1);
residual(29) = lhs - rhs;
lhs = log(y(18));
rhs = (1-params(16))*log(params(27))+log(y(18))*params(16)+x(3);
residual(30) = lhs - rhs;
lhs = log(y(5));
rhs = (1-params(15))*log(params(26))+log(y(5))*params(15)+x(2);
residual(31) = lhs - rhs;
lhs = log(y(27));
rhs = (1-params(31))*log(params(30))+log(y(27))*params(31)+x(4);
residual(32) = lhs - rhs;
lhs = log(y(31));
rhs = (1-params(35))*log(params(34))+log(y(31))*params(35)+x(5);
residual(33) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
