clc;clear;close all;

pz_ss = 0.05; %0.05;   //%  0.0000001; //% 
muM_ss = 0.4; % 0.0001;  %% 0.4; % 0.01;


policy= 1;  % tax 
endo_u =1;
dynare JEEM2015 -Dpolicy=1 -Dendo_u=1;

policy= 2;  % cap-and-trade 
endo_u =1;
dynare JEEM2015 -Dpolicy=2 -Dendo_u=1;

policy= 3;  % intensity
endo_u =1;
dynare JEEM2015 -Dpolicy=3 -Dendo_u=1;

figure_heading;
set(gcf, 'Position',  [0, 0, 1100, 1000])  
figure
subplot(4,4,1)
plot(E_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(E_eps_M_cap_endo_u*100, 'color', color2);
plot(E_eps_M_int_endo_u*100, 'color', color3);
title('Energy $E$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,2)
plot(pE_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(pE_eps_M_cap_endo_u*100, 'color', color2);
plot(pE_eps_M_int_endo_u*100, 'color', color3);
title('Energy Price $pE$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,3)
plot(u_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(u_eps_M_cap_endo_u*100, 'color', color2);
plot(u_eps_M_int_endo_u*100, 'color', color3);
title('Utilization rate $u$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,4)
plot(deltaK_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(deltaK_eps_M_cap_endo_u*100, 'color', color2);
plot(deltaK_eps_M_int_endo_u*100, 'color', color3);
title('Depreciation rate $\delta$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,5)
plot(C_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(C_eps_M_cap_endo_u*100, 'color', color2);
plot(C_eps_M_int_endo_u*100, 'color', color3);
title('Consumption $C$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,6)
plot(I_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(I_eps_M_cap_endo_u*100, 'color', color2);
plot(I_eps_M_int_endo_u*100, 'color', color3);
title('Investment $I$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,7)
plot(q_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(q_eps_M_cap_endo_u*100, 'color', color2);
plot(q_eps_M_int_endo_u*100, 'color', color3);
title('Capital Price $q$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,8)
plot(w_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(w_eps_M_cap_endo_u*100, 'color', color2);
plot(w_eps_M_int_endo_u*100, 'color', color3);
title('Wage Rate $w$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,9)
plot(L_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(L_eps_M_cap_endo_u*100, 'color', color2);
plot(L_eps_M_int_endo_u*100, 'color', color3);
title('Labor $L$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20])


subplot(4,4,10)
plot(GDP_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(GDP_eps_M_cap_endo_u*100, 'color', color2);
plot(GDP_eps_M_int_endo_u*100, 'color', color3);
title('Ouput $GDP$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,11)
plot(MC_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(MC_eps_M_cap_endo_u*100, 'color', color2);
plot(MC_eps_M_int_endo_u*100, 'color', color3);
title('Marginal Cost $MC$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,12)
plot(Pi_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(Pi_eps_M_cap_endo_u*100, 'color', color2);
plot(Pi_eps_M_int_endo_u*100, 'color', color3);
title('Inflation $Pi$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);


zero = zeros(20,1);
subplot(4,4,13)
plot(Z_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(zero*100, 'color', color2);
plot(Z_eps_M_int_endo_u*100, 'color', color3);
title('Carbon Emission $Z$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,14)
plot(U_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(U_eps_M_cap_endo_u*100, 'color', color2);
plot(U_eps_M_int_endo_u*100, 'color', color3);
title('Abatment Effort $U$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

subplot(4,4,15)
plot(CA_eps_M_tax_endo_u*100, 'color', color1);
hold on
plot(CA_eps_M_cap_endo_u*100, 'color', color2);
plot(CA_eps_M_int_endo_u*100, 'color', color3);
title('Abatment cost $CA$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);

zero = zeros(20,1);
subplot(4,4,16)
plot(zero*100, 'color', color1);
hold on
plot(pz_eps_M_cap_endo_u*100, 'color', color2);
plot(pz_eps_M_int_endo_u*100, 'color', color3);
title('Permit Price $pz$','interpreter','latex','fontsize',13)
%set(gca,'xtick',[2 4 6 10 20 40]  ); 
grid on; box off;
xlim([1 20]);


leg = legend('tax', 'cap', 'intensity');
set(leg,'Interpreter','latex');
leg.FontSize = 12;
legend boxoff;
